v1.0

get

/ec-auth-svc/rest/v1.0/userinfo/bulk

Deprecated: Use '/v2.0/userinfo/bulk' instead. Returns a list of users having the specified rights for a study. Suggest using v2 for expanded user info (attributes, strict UUIDs, additional filters).

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : UserInfoDtoV3
Type: object
User information (v3): All user info including attributes and global rights.
Show Source
Example:
{
    "firstName":"Eve",
    "lastName":"Johnson",
    "emailAddress":"eve.johnson@example.com",
    "userId":"EC026DEDC88723C3E053EB944C645812",
    "globalRights":[
        "UpdateRecipe",
        "OrsSiteShipmentPost"
    ],
    "userAttributes":[
        {
            "key":"Locale",
            "value":"en-US"
        },
        {
            "key":"TimeZone",
            "value":"Europe/Paris"
        }
    ]
}
Nested Schema : globalRights
Type: array
Unique Items Required: true
Set of user's global rights
Show Source
Example:
[
    "Lab Get",
    "Rule Designer"
]
Nested Schema : userAttributes
Type: object
Key-value pair for user attribute
Show Source
Example:
{
    "key":"Locale",
    "value":"en-US"
}
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top